import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程小节
    appCourseSection(data) {
        return request({
            url: '/course/section',
            method: 'post',
            data
        })
    },
    //修改课程小节
    editCourseSection(data) {
        return request({
            url: '/course/section/edit',
            method: 'post',
            data
        })
    },
    //导入节模板
    drCourseSectionimportData(data) {
        return request({
            url: '/course/section/importData',
            method: 'post',
            data
        })
    },
    //导入节模板-带业务层次
    drCourseSectionimportDataBusiness(data) {
        return request({
            url: '/course/section/importDataBusiness',
            method: 'post',
            data
        })
    },
    //查询课程小节列表
    inquireCourseSection(data) {
        return request({
            url: '/course/section/list',
            method: 'get',
            params: data
        })
    },
    //获取课程小节详细信息
    obtainCourseSection(data) {
        return request({
            url: `/course/section/` + data,
            method: 'get',
        })
    },
    
    //获取课程小节业务层次列表
    obtaincourseSectionbusiness(data) {
        return request({
            url: `/course/section/business/` + data,
            method: 'get',
        })
    },
    //批量新增课程小节
    drCourseSectionaddMore(data) {
        return request({
            url: '/course/section/addMore',
            method: 'post',
            data
        })
    },
    //保存课程小节观看权限
    coursesectionaddwatchper(data) {
        return request({
            url: '/course/section/add/watch/per',
            method: 'post',
            data
        })
    },
    //获取课程小节观看权限
    coursesectionwatchper(data) {
        return request({
            url: '/course/section/watch/per',
            method: 'get',
            params: data
        })
    },
}